> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/terminal-card-present/transaction-emv-batches/models.md).

# Models

## The ClearentBatchResponsePayload object

```json
{"openapi":"3.0.1","info":{"title":"Transaction EMV Batches","version":"2.0"},"components":{"schemas":{"ClearentBatchResponsePayload":{"type":"object","properties":{"batch":{"$ref":"#/components/schemas/Payload"},"payloadType":{"type":"string","description":"Indicates the type of payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"payload","xml":{"name":"payload"}},"Payload":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the batch."},"status":{"type":"string","description":"Current status of the batch. Available statuses: Open, Close, Pending, Failed.","enum":["OPEN","CLOSED"]},"settled":{"type":"string","description":"Date and time when the batch was settled."},"refund-count":{"type":"string","description":"Total number of refund transactions processed in the batch."},"refund-total":{"type":"string","description":"Total amount refunded in the batch."},"sales-count":{"type":"string","description":"Total number of sales transactions processed in the batch."},"sales-total":{"type":"string","description":"Total amount of all sale transactions in the batch."},"net-amount":{"type":"string","description":"Net amount after processing sale and refund transactions, in currency format."},"total-count":{"type":"string","description":"Total number of transactions, including sales and refunds."},"confirmation-code":{"type":"string","description":"The batch confirmation code."},"merchant-id":{"type":"string","description":"Identifier for the merchant associated with the batch."},"terminal-id":{"type":"string","description":"Identifier of the terminal that processed the batch."},"terminal-name":{"type":"string","description":"Name of the terminal."},"date-opened":{"type":"string","description":"Date when the batch was opened."},"switch-batch-id":{"type":"string","description":"Identifier used by the payment switch for the batch."}},"description":"Batches","xml":{"name":"batch"}}}}}
```

## The Payload object

```json
{"openapi":"3.0.1","info":{"title":"Transaction EMV Batches","version":"2.0"},"components":{"schemas":{"Payload":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier for the batch."},"status":{"type":"string","description":"Current status of the batch. Available statuses: Open, Close, Pending, Failed.","enum":["OPEN","CLOSED"]},"settled":{"type":"string","description":"Date and time when the batch was settled."},"refund-count":{"type":"string","description":"Total number of refund transactions processed in the batch."},"refund-total":{"type":"string","description":"Total amount refunded in the batch."},"sales-count":{"type":"string","description":"Total number of sales transactions processed in the batch."},"sales-total":{"type":"string","description":"Total amount of all sale transactions in the batch."},"net-amount":{"type":"string","description":"Net amount after processing sale and refund transactions, in currency format."},"total-count":{"type":"string","description":"Total number of transactions, including sales and refunds."},"confirmation-code":{"type":"string","description":"The batch confirmation code."},"merchant-id":{"type":"string","description":"Identifier for the merchant associated with the batch."},"terminal-id":{"type":"string","description":"Identifier of the terminal that processed the batch."},"terminal-name":{"type":"string","description":"Name of the terminal."},"date-opened":{"type":"string","description":"Date when the batch was opened."},"switch-batch-id":{"type":"string","description":"Identifier used by the payment switch for the batch."}},"description":"Batches","xml":{"name":"batch"}}}}}
```

## The Error object

```json
{"openapi":"3.0.1","info":{"title":"Transaction EMV Batches","version":"2.0"},"components":{"schemas":{"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```

## The ErrorResult object

```json
{"openapi":"3.0.1","info":{"title":"Transaction EMV Batches","version":"2.0"},"components":{"schemas":{"ErrorResult":{"type":"object","properties":{"errorResults":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/terminal-card-present/transaction-emv-batches/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
